Package org.apache.storm.security.auth.tls

# Class ReloadableX509TrustManager

java.lang.Object
javax.net.ssl.X509ExtendedTrustManager
org.apache.storm.security.auth.tls.ReloadableX509TrustManager

All Implemented Interfaces:
  `TrustManager`, `X509TrustManager`

public class ReloadableX509TrustManager extends X509ExtendedTrustManager

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReloadableX509TrustManager(String trustStorePath, String trustStorePassword)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkClientTrusted(X509Certificate[] chain, String authType)`
  `void`
  `checkClientTrusted(X509Certificate[] x509Certificates, String s, Socket socket)`
  `void`
  `checkClientTrusted(X509Certificate[] x509Certificates, String s, SSLEngine sslEngine)`
  `void`
  `checkServerTrusted(X509Certificate[] chain, String authType)`
  `void`
  `checkServerTrusted(X509Certificate[] x509Certificates, String s, Socket socket)`
  `void`
  `checkServerTrusted(X509Certificate[] x509Certificates, String s, SSLEngine sslEngine)`
  `X509ExtendedTrustManager`
  `createTrustManager(String trustStorePath, String keystorePassword)`
  `X509Certificate[]`
  `getAcceptedIssuers()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReloadableX509TrustManager

    public ReloadableX509TrustManager(String trustStorePath, String trustStorePassword) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException
    Throws:
      `CertificateException`

  - ### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] x509Certificates, String s, Socket socket) throws CertificateException
    Specified by:
      `checkClientTrusted` in class `X509ExtendedTrustManager`
    Throws:
      `CertificateException`

  - ### checkClientTrusted

    public void checkClientTrusted(X509Certificate[] x509Certificates, String s, SSLEngine sslEngine) throws CertificateException
    Specified by:
      `checkClientTrusted` in class `X509ExtendedTrustManager`
    Throws:
      `CertificateException`

  - ### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException
    Throws:
      `CertificateException`

  - ### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] x509Certificates, String s, Socket socket) throws CertificateException
    Specified by:
      `checkServerTrusted` in class `X509ExtendedTrustManager`
    Throws:
      `CertificateException`

  - ### checkServerTrusted

    public void checkServerTrusted(X509Certificate[] x509Certificates, String s, SSLEngine sslEngine) throws CertificateException
    Specified by:
      `checkServerTrusted` in class `X509ExtendedTrustManager`
    Throws:
      `CertificateException`

  - ### getAcceptedIssuers

    public X509Certificate[] getAcceptedIssuers()

  - ### createTrustManager

    public X509ExtendedTrustManager createTrustManager(String trustStorePath, String keystorePassword) throws Exception
    Throws:
      `Exception`